CREATE TABLE pages (
	tx_sgnews_news_author varchar(255) DEFAULT '' NOT NULL,
	tx_sgnews_related_news varchar(255) DEFAULT '' NOT NULL,
	tx_sgnews_highlighted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_never_highlighted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_teaser1_image int(11) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_teaser2_image int(11) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_tags int(11) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_likes int(11) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_location mediumtext,
  	tx_sgnews_date_end  int(10) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_content_from_another_page int(11) unsigned DEFAULT '0' NOT NULL,
	tx_sgnews_comments_enable tinyint(4) unsigned DEFAULT '1' NOT NULL,
	KEY news_author (tx_sgnews_news_author)
);

CREATE TABLE tx_sgnews_domain_model_author (
	name varchar(255) DEFAULT '' NOT NULL,
	email varchar(255) DEFAULT '' NOT NULL,
	description text,
	website text,
	path_segment text,
	image int(11) unsigned DEFAULT '0'
);

-- also set the tx_sgseo field here in order to fix the dependency
CREATE TABLE pages (
    tx_sgseo_schemajson mediumtext
);
